[Setup] Syntax Error on 2.6 construct in plone.recipe.zope2instance

Karl Johan Kleist kleist at postkiosk.de
Thu Dec 24 10:22:48 UTC 2009



Quoting Hanno from
https://bugs.launchpad.net/collective.buildout/+bug/462731 :

"Using Python 2.5 or 2.6 constructs in the zope2instance trunk version is
perfectly fine. It requires Zope 2.12 which itself only runs on Python 2.5
and 2.6."


Kevin Harvey wrote:
> I get the a syntax error at this line when running
> bin/buildout:
> 
> 
>    File
> "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py",
> line 1954, in load entry = __import__(self.module_name,
> globals(),globals(), ['__name__'])
>  File
> "/home/harveyk/workspace/jeitoportal/eggs/plone.recipe.zope2instance-4.0a2-py2.4.egg/plone/recipe/zope2instance/__init__.py",
> line 75
>     )[1 if IS_WIN else 0]
>          ^
>  SyntaxError: invalid syntax
> 
> 
> My understanding is that the [1 if IS_WIN else 0] bit is Python 2.6
> specific. I haven't been able to get it to run in a 2.4 interpreter.
> Should I be running 2.6 now? Thanks as always.
> 

-- 
View this message in context: http://n2.nabble.com/Syntax-Error-on-2-6-construct-in-plone-recipe-zope2instance-tp4210040p4212690.html
Sent from the Installation, Setup, Upgrades mailing list archive at Nabble.com.



More information about the Setup mailing list